package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 护理人员对象 care_nurses
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareNurses extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 护理人员的唯一标识符 */
    private Long nurseId;

    /** 护理人员的名字 */
    @Excel(name = "护理人员的名字")
    private String name;
    /** 护理人员的名字 */
    @Excel(name = "护理人员的性别")
    private String age;

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    /** 护理人员的出生日期 */
    @Excel(name = "护理人员的出生日期")
    private String dateOfBirth;

    /** 护理人员的地址 */
    @Excel(name = "护理人员的地址")
    private String address;

    /** 护理人员的联系电话 */
    @Excel(name = "护理人员的联系电话")
    private String phoneNumber;

    /** 护理人员的执业许可证号码 */
    @Excel(name = "护理人员的执业许可证号码")
    private String licenseNumber;

    /** 护理人员的工作经验年限 */
    @Excel(name = "护理人员的工作经验年限")
    private Long experienceYears;

    /** 所在公司 */
    @Excel(name = "所在公司")
    private Long companyId;
    @Excel(name = "公司名")
    private String companyName;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 登录名 */
    private String loginName;

    /** 登录密码 */
    private String password;
    /** 关联用户表id */
    @Excel(name = "关联用户表id")
    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    public void setNurseId(Long nurseId) 
    {
        this.nurseId = nurseId;
    }

    public Long getNurseId() 
    {
        return nurseId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDateOfBirth(String dateOfBirth) 
    {
        this.dateOfBirth = dateOfBirth;
    }

    public String getDateOfBirth() 
    {
        return dateOfBirth;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }
    public void setLicenseNumber(String licenseNumber) 
    {
        this.licenseNumber = licenseNumber;
    }

    public String getLicenseNumber() 
    {
        return licenseNumber;
    }
    public void setExperienceYears(Long experienceYears) 
    {
        this.experienceYears = experienceYears;
    }

    public Long getExperienceYears() 
    {
        return experienceYears;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("nurseId", getNurseId())
            .append("name", getName())
            .append("dateOfBirth", getDateOfBirth())
            .append("address", getAddress())
            .append("phoneNumber", getPhoneNumber())
            .append("licenseNumber", getLicenseNumber())
            .append("experienceYears", getExperienceYears())
            .append("companyId", getCompanyId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
